From 81fe1e0a098458a22a961eeb3e7d3dbcf8e43663 Mon Sep 17 00:00:00 2001
From: 嘉渊 <wangjiaming.wjm@alibaba-inc.com>
Date: 星期三, 19 七月 2023 10:58:08 +0800
Subject: [PATCH] update

---
 egs/callhome/eend_ola/run.sh |   29 ++++++++++++++++++++++-------
 1 files changed, 22 insertions(+), 7 deletions(-)

diff --git a/egs/callhome/eend_ola/run.sh b/egs/callhome/eend_ola/run.sh
index 8936137..b4f2739 100644
--- a/egs/callhome/eend_ola/run.sh
+++ b/egs/callhome/eend_ola/run.sh
@@ -27,13 +27,13 @@
 
 exp_dir="."
 input_size=345
-stage=1
-stop_stage=4
+stage=-1
+stop_stage=-1
 
 # exp tag
-tag="exp_fix"
+tag="exp1"
 
-. utils/parse_options.sh || exit 1;
+. local/parse_options.sh || exit 1;
 
 # Set bash to 'debug' mode, it will exit on :
 # -e 'error', -u 'undefined variable', -o ... 'error in pipeline', -x 'print commands',
@@ -50,11 +50,26 @@
 simu_allspkr_chunk2000_model_dir="baseline_$(basename "${simu_allspkr_chunk2000_diar_config}" .yaml)_${tag}"
 callhome_model_dir="baseline_$(basename "${callhome_diar_config}" .yaml)_${tag}"
 
-# Prepare data for training and inference
-if [ ${stage} -le 0 ] && [ ${stop_stage} -ge 0 ]; then
-    echo "stage 0: Prepare data for training and inference"
+# simulate mixture data for training and inference
+if [ ${stage} -le -1 ] && [ ${stop_stage} -ge -1 ]; then
+    echo "stage -1: Simulate mixture data for training and inference"
+    echo "The detail can be found in https://github.com/hitachi-speech/EEND"
+    echo "Before running this step, you should download and compile kaldi and set KALDI_ROOT in this script and path.sh"
+    echo "This stage may take a long time, please waiting..."
+    KALDI_ROOT=
+    ln -s $KALDI_ROOT/egs/wsj/s5/steps steps
+    ln -s $KALDI_ROOT/egs/wsj/s5/utils utils
+    local/run_prepare_shared_eda.sh
 fi
 
+## Prepare data for training and inference
+#if [ ${stage} -le 0 ] && [ ${stop_stage} -ge 0 ]; then
+#    echo "stage 0: Prepare data for training and inference"
+#    echo "The detail can be found in https://github.com/hitachi-speech/EEND"
+#    . ./local/
+#fi
+#
+
 # Training on simulated two-speaker data
 world_size=$gpu_num
 simu_2spkr_ave_id=avg${simu_average_2spkr_start}-${simu_average_2spkr_end}

--
Gitblit v1.9.1